Debian Bug report logs - #575209
Please resolv domain names with hyphens as border chars

version graph

Package: eglibc; Maintainer for eglibc is GNU Libc Maintainers <debian-glibc@lists.debian.org>;

Reported by: Fabian Greffrath <fabian@greffrath.com>

Date: Wed, 24 Mar 2010 09:06:01 UTC

Severity: wishlist

Tags: patch

Found in versions 2.10.2-6, 2.11-0exp6

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#575209; Package general. (Wed, 24 Mar 2010 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org. (Wed, 24 Mar 2010 09:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: Error resolving hostname
Date: Wed, 24 Mar 2010 09:45:25 +0100
Package: general
Severity: important

Dear all,  I've found something that is most propbably a bug in Linux's resolv
system, when trying to open a specific page with Epiphany (but any other
browser will fail as well, please try out yourself). To reproduce, please visit
<http://www.deviantart.com/> and search for "SNES". On the first results page a
picture called "SNES World HD" should appear. Try to click this picture.  Your
browser will fail to resolv the hostname and even ping won't be able to:    $
ping KeR-.deviantart.com   ping: unknown host KeR-.deviantart.com   However,
nslookup returns the right IP address and this page even loads under both
Windows XP and Mac OS X:    $ nslookup KeR-.deviantart.com    Server:
134.147.57.130   Address:      134.147.57.130#53    Non-authoritative answer:
KeR-.deviantart.com   canonical name = www.deviantart.com.   Name:
www.deviantart.com   Address: 8.10.77.140  I believe this bug is caused by the
dash character in the domain name, but I don't have any further knowledge of
Linux's resolv system. As you are the experts, please point me to where I can
help to trace this bug.  Cheers, Fabian


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (550, 'unstable'), (400, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-2-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Wed, 24 Mar 2010 13:18:14 GMT) Full text and rfc822 format available.

Notification sent to Fabian Greffrath <fabian@greffrath.com>:
Bug acknowledged by developer. (Wed, 24 Mar 2010 13:18:14 GMT) Full text and rfc822 format available.

Message #10 received at 575209-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 575209-done@bugs.debian.org
Subject: Re: Bug#575209: general: Error resolving hostname [resent]
Date: Wed, 24 Mar 2010 14:15:00 +0100
[Message part 1 (text/plain, inline)]
On Mittwoch, 24. März 2010, Milan P. Stanic wrote:
> >   $ nslookup KeR-.deviantart.com

> Labels must end and begin only with a letter or digit.
>
> RFC 1035 says:
>
> The labels must follow the rules for ARPANET host names.  They must
> start with a letter, end with a letter or digit, and have as interior
> characters only letters, digits, and hyphen.  There are also some
> restrictions on the length.  Labels must be 63 characters or less.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#575209; Package general. (Thu, 25 Mar 2010 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 25 Mar 2010 10:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 575209@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 575209@bugs.debian.org, debian-glibc@lists.debian.org, holger@layer-acht.org, Debian Devel <debian-devel@lists.debian.org>
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#575209 closed by Holger Levsen <holger@layer-acht.org> (Re: Bug#575209: general: Error resolving hostname [resent])
Date: Thu, 25 Mar 2010 11:21:41 +0100
reopen 575209
reassign 575209 eglibc
found 575209 2.10.2-6
found 575209 2.11-0exp6
severity 575209 important
retitle 575209 Please resolv domain names with hyphens as border chars
tags 575209 + patch
thanks

Hi Holger et al (please drop -devel out of the list of CCs if you feel 
this is getting off-topic),

sorry, but I find it unacceptable to close this bug referring to a 
single paragraph in a (random) RFC [0]. However, there is a multitude 
of other reasons why I think this bug *is* an issue:

- Sites with domain names like <ker-.deviantart.com> do already exist! 
Do you think they should be accessible by any other proprietary 
operating system, but not Debian? Not really!

- There is already an inconsistency among the different 
implementations in Debian (or Linux as a whole), as e.g. ping and any 
other program using gethostbyname() fail to resolv, whereas nslookup 
and host succeed.

- The advice in the cited RFC is already ignored. Domain names that 
start with a digit, e.g. 12345.foo.bar, can be resolved, whereas the 
RFC tells us "They [labels] must start with a letter, end with a 
letter or digit [...]". So let's just relax the rules in the RFC (they 
are only recommendations after all) a bit more to also allow hyphens 
as border characters in labels. It doesn't harm anyone, it just 
enables us to resolv a few more actual domain names!

For further discussion, please see the bug reports opened against 
ubuntu [1] and upstream [2]:
[1] <https://bugs.launchpad.net/glibc/+bug/144431>
[2] <http://sourceware.org/bugzilla/show_bug.cgi?id=4671>

Technically speaking, what IMHO needs to be done is to allow 
hyphenchar as a borderchar in resolv/res_comp.c in eglibc. Please find 
my patch below (and while we are at at, why not allow underscorechar 
as well?).


Cheers,
Fabian

----------8<----------

--- eglibc-2.10.2.orig/resolv/res_comp.c
+++ eglibc-2.10.2/resolv/res_comp.c
@@ -146,8 +146,8 @@
 		   || ((c) >= 0x61 && (c) <= 0x7a))
 #define digitchar(c) ((c) >= 0x30 && (c) <= 0x39)

-#define borderchar(c) (alphachar(c) || digitchar(c))
-#define middlechar(c) (borderchar(c) || hyphenchar(c) || 
underscorechar(c))
+#define borderchar(c) (alphachar(c) || digitchar(c) || hyphenchar(c))
+#define middlechar(c) (borderchar(c) || underscorechar(c))
 #define	domainchar(c) ((c) > 0x20 && (c) < 0x7f)

 int

---------->8----------

[0] There are even other RFCs that either relax or contradict against 
the advice of RFC 1035 (thanks Christoph Loehr, who could even write a 
short essay about this):

RFC 1178:
"
      Don't use digits at the beginning of the name.

Many programs accept a numerical internet address as well as a
name. Unfortunately, some programs do not correctly
distinguish between the two and may be fooled, for example, by
a string beginning with a decimal digit.

Names consisting entirely of hexadecimal digits, such as
"beef", are also problematic, since they can be interpreted
entirely as hexadecimal numbers as well as alphabetic strings.

      Don't use non-alphanumeric characters in a name.
[...]
      Don't expect case to be preserved.
[...]
"

This is a mitigation of RFC 1035, as there is no mention of hyphen 
characters at all.

RFC 952:
"
No blank or space characters are permitted as part of a name. No 
distinction is made between upper and lower case.  The first character 
must be an alpha character.  The last character must not be a minus 
sign or period.  A host which serves as a GATEWAY should have 
"-GATEWAY" or "-GW" as part of its name.  Hosts which do not serve as 
Internet gateways should not use "-GATEWAY" and "-GW" as part of their 
names. A host which is a TAC should have "-TAC" as the last part of 
its host name, if it is a DoD host.  Single character names or 
nicknames are not allowed.
"

this is contradictory, since there is c.psi.net, which is resolved by 
gethostbyname().

RFC 1123:
"
The syntax of a legal Internet host name was specified in RFC-952 
[DNS:4].  One aspect of host name syntax is hereby changed: the 
restriction on the first character is relaxed to allow either a letter 
or a digit. Host software MUST support this more liberal syntax.
"

This is clearly another mitigation of RFC 1035.




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Mar 2010 10:24:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'general' to 'eglibc'. Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Thu, 25 Mar 2010 10:24:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.10.2-6. Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Thu, 25 Mar 2010 10:24:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.11-0exp6. Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Thu, 25 Mar 2010 10:24:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'Please resolv domain names with hyphens as border chars' from 'general: Error resolving hostname' Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Thu, 25 Mar 2010 10:24:08 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Thu, 25 Mar 2010 10:24:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#575209; Package eglibc. (Thu, 25 Mar 2010 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 25 Mar 2010 13:18:03 GMT) Full text and rfc822 format available.

Message #32 received at 575209@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 575209@bugs.debian.org, debian-glibc@lists.debian.org, holger@layer-acht.org, Debian Devel <debian-devel@lists.debian.org>
Subject: Re: Bug#575209 closed by Holger Levsen <holger@layer-acht.org> (Re: Bug#575209: general: Error resolving hostname [resent])
Date: Thu, 25 Mar 2010 13:15:06 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2010-03-25 at 11:21 +0100, Fabian Greffrath wrote:
> reopen 575209
> reassign 575209 eglibc
> found 575209 2.10.2-6
> found 575209 2.11-0exp6
> severity 575209 important
> retitle 575209 Please resolv domain names with hyphens as border chars
> tags 575209 + patch
> thanks
> 
> Hi Holger et al (please drop -devel out of the list of CCs if you feel 
> this is getting off-topic),
> 
> sorry, but I find it unacceptable to close this bug referring to a 
> single paragraph in a (random) RFC [0]. However, there is a multitude 
> of other reasons why I think this bug *is* an issue:

That 'random' RFC happens to be an Internet standard (STD 13) and still
largely valid today.

> - Sites with domain names like <ker-.deviantart.com> do already exist! 
> Do you think they should be accessible by any other proprietary 
> operating system, but not Debian? Not really!

So if Windows accepts it then it must be OK?  I don't think we have to
follow that rule.  Otherwise you should be demanding support for NMB and
WINS in glibc.

> - There is already an inconsistency among the different 
> implementations in Debian (or Linux as a whole), as e.g. ping and any 
> other program using gethostbyname() fail to resolv, whereas nslookup 
> and host succeed.

This is what happens when you ignore Internet standards.

> - The advice in the cited RFC is already ignored. Domain names that 
> start with a digit, e.g. 12345.foo.bar, can be resolved, whereas the 
> RFC tells us "They [labels] must start with a letter, end with a 
> letter or digit [...]".
[...]

It is not ignored; the standard was updated by RFC 1123 (STD 3).

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'wishlist' from 'important' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 25 Mar 2010 13:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#575209; Package eglibc. (Thu, 25 Mar 2010 13:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 25 Mar 2010 13:30:03 GMT) Full text and rfc822 format available.

Message #39 received at 575209@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
Cc: 575209@bugs.debian.org, Fabian Greffrath <fabian@greffrath.com>
Subject: Re: Bug#575209: closed by Holger Levsen <holger@layer-acht.org> (Re: Bug#575209: general: Error resolving hostname [resent])
Date: Thu, 25 Mar 2010 14:17:26 +0100
The following message is a courtesy copy of an article
that has been posted to gmane.linux.debian.devel.glibc,gmane.linux.debian.devel.general as well.

Fabian Greffrath <fabian@greffrath.com> writes:

> - Sites with domain names like <ker-.deviantart.com> do already exist!
> Do you think they should be accessible by any other proprietary
> operating system, but not Debian? Not really!

Anyone can enter bogus data in the DNS.  Neither the existence of such
data nor the failure to detect it by other operating systems are
arguments for allowing it in Debian.  Literally anyone can add an
invalid A record and make an OS which accepts it.

> - There is already an inconsistency among the different
> implementations in Debian (or Linux as a whole), as e.g. ping and any
> other program using gethostbyname() fail to resolv, whereas nslookup
> and host succeed.

This is not an inconsistency.  

gethostbyname(), getaddrinfo() etc look up hostnames, whereas dig,
nslookup and host query the DNS.  The distinction is that almost
anything is allowed in DNS, while a hostname must obey the updated
version of RFC 952 (as amended by RFC 1123).  See e.g.
http://www.mail-archive.com/dnsop@ietf.org/msg01731.html for an
excellent explanation of the difference.

> - The advice in the cited RFC is already ignored. Domain names that
> start with a digit, e.g. 12345.foo.bar, can be resolved, whereas the
> RFC tells us "They [labels] must start with a letter, end with a
> letter or digit [...]". So let's just relax the rules in the RFC (they
> are only recommendations after all) a bit more to also allow hyphens
> as border characters in labels. It doesn't harm anyone, it just
> enables us to resolv a few more actual domain names!

This rule has been formally changed by the standards track RFC 1123.
That is something quite different than "the cited RFC is already
ignored"!

> the advice of RFC 1035

which is the standards track RFC describing the *domain name system*
which is so much more than host names.  It is irrelevant wrt the
discussion of valid hostnames.

Unfortunately this RFC is one of the most confusing ever written, mixing
a lot of irrelevant informational data with the actual standard.  It
should have merely referred to RFC 822 (updated several times) and RFC
952 (amended several times) for the restrictions on valid mail and host
names.  The verbose examples copying restrictions imposed by other
standards have always been confusing, and of course even more so after
the other standards were changed...

> RFC 1178:

which is an informational RFC.

> RFC 952:

which is the standards RFC describing valid hostnames.  This should be
obeyed, as amended by other RFCs.

> RFC 1123:

which is a standards track RFC updating and clarifying lots of other
standards.  Among the changes is the modification of RFC 952 wrt labels
starting with a digit.

You forgot to mention RFC 2181 which is a standards track RFC trying to
fix a few of the errors in RFC 1035, among those the mixture of standard
requirements and informational text.  Although as irrelevant to this
discussion as RFC 1035 itself, I believe it helps understand the
distinction between valid DNS labels and valid host or mail names.




Bjørn




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#575209; Package eglibc. (Thu, 25 Mar 2010 13:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 25 Mar 2010 13:36:05 GMT) Full text and rfc822 format available.

Message #44 received at 575209@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 575209@bugs.debian.org, debian-glibc@lists.debian.org, holger@layer-acht.org, Debian Devel <debian-devel@lists.debian.org>
Subject: Re: Bug#575209 closed by Holger Levsen <holger@layer-acht.org> (Re: Bug#575209: general: Error resolving hostname [resent])
Date: Thu, 25 Mar 2010 14:33:15 +0100
Am 25.03.2010 14:15, schrieb Ben Hutchings:
> So if Windows accepts it then it must be OK?  I don't think we have to
> follow that rule.  Otherwise you should be demanding support for NMB and
> WINS in glibc.

Mac OS X, too, BTW. But that's not what I wanted to say.

I wanted to say that I consider it a disadvantage that [e]glibc 
persists on the one part of RFC 1035 that forbids labels to start or 
end with hyphens, while in turn allowing labels to start with digits, 
which is forbidden by the very same RFC.

At the time of my writing I did not know this standard was updated.

 - Fabian




Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Thu, 25 Mar 2010 13:51:09 GMT) Full text and rfc822 format available.

Notification sent to Fabian Greffrath <fabian@greffrath.com>:
Bug acknowledged by developer. (Thu, 25 Mar 2010 13:51:09 GMT) Full text and rfc822 format available.

Message #49 received at 575209-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 575209-done@bugs.debian.org
Subject: [bjorn@mork.no: Re: Bug#575209: closed by Holger Levsen <holger@layer-acht.org> (Re: Bug#575209: general: Error resolving hostname [resent])]
Date: Thu, 25 Mar 2010 06:48:58 -0700
This cogently addresses the reasons for the bug reopening.  Closing again
with this explanation.

----- Forwarded message from Bjørn Mork <bjorn@mork.no> -----

Date: Thu, 25 Mar 2010 14:17:26 +0100
From: Bjørn Mork <bjorn@mork.no>
To: debian-devel@lists.debian.org
Cc: debian-glibc@lists.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#575209: closed by Holger Levsen <holger@layer-acht.org> (Re:
	Bug#575209: general: Error resolving hostname [resent])
User-Agent: Gnus/5.110011 (No Gnus v0.11) Emacs/23.1 (gnu/linux)

Fabian Greffrath <fabian@greffrath.com> writes:

> - Sites with domain names like <ker-.deviantart.com> do already exist!
> Do you think they should be accessible by any other proprietary
> operating system, but not Debian? Not really!

Anyone can enter bogus data in the DNS.  Neither the existence of such
data nor the failure to detect it by other operating systems are
arguments for allowing it in Debian.  Literally anyone can add an
invalid A record and make an OS which accepts it.

> - There is already an inconsistency among the different
> implementations in Debian (or Linux as a whole), as e.g. ping and any
> other program using gethostbyname() fail to resolv, whereas nslookup
> and host succeed.

This is not an inconsistency.  

gethostbyname(), getaddrinfo() etc look up hostnames, whereas dig,
nslookup and host query the DNS.  The distinction is that almost
anything is allowed in DNS, while a hostname must obey the updated
version of RFC 952 (as amended by RFC 1123).  See e.g.
http://www.mail-archive.com/dnsop@ietf.org/msg01731.html for an
excellent explanation of the difference.

> - The advice in the cited RFC is already ignored. Domain names that
> start with a digit, e.g. 12345.foo.bar, can be resolved, whereas the
> RFC tells us "They [labels] must start with a letter, end with a
> letter or digit [...]". So let's just relax the rules in the RFC (they
> are only recommendations after all) a bit more to also allow hyphens
> as border characters in labels. It doesn't harm anyone, it just
> enables us to resolv a few more actual domain names!

This rule has been formally changed by the standards track RFC 1123.
That is something quite different than "the cited RFC is already
ignored"!

> the advice of RFC 1035

which is the standards track RFC describing the *domain name system*
which is so much more than host names.  It is irrelevant wrt the
discussion of valid hostnames.

Unfortunately this RFC is one of the most confusing ever written, mixing
a lot of irrelevant informational data with the actual standard.  It
should have merely referred to RFC 822 (updated several times) and RFC
952 (amended several times) for the restrictions on valid mail and host
names.  The verbose examples copying restrictions imposed by other
standards have always been confusing, and of course even more so after
the other standards were changed...

> RFC 1178:

which is an informational RFC.

> RFC 952:

which is the standards RFC describing valid hostnames.  This should be
obeyed, as amended by other RFCs.

> RFC 1123:

which is a standards track RFC updating and clarifying lots of other
standards.  Among the changes is the modification of RFC 952 wrt labels
starting with a digit.

You forgot to mention RFC 2181 which is a standards track RFC trying to
fix a few of the errors in RFC 1035, among those the mixture of standard
requirements and informational text.  Although as irrelevant to this
discussion as RFC 1035 itself, I believe it helps understand the
distinction between valid DNS labels and valid host or mail names.




Bjørn

----- End forwarded message -----

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#575209; Package eglibc. (Thu, 25 Mar 2010 13:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Milan P. Stanic" <mps@arvanta.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 25 Mar 2010 13:54:07 GMT) Full text and rfc822 format available.

Message #54 received at 575209@bugs.debian.org (full text, mbox):

From: "Milan P. Stanic" <mps@arvanta.net>
To: debian-devel@lists.debian.org
Cc: 575209@bugs.debian.org
Subject: Re: Bug#575209 closed by Holger Levsen <holger@layer-acht.org> (Re: Bug#575209: general: Error resolving hostname [resent])
Date: Thu, 25 Mar 2010 14:30:46 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2010-03-25 at 13:15, Ben Hutchings wrote:
> On Thu, 2010-03-25 at 11:21 +0100, Fabian Greffrath wrote:
> > - The advice in the cited RFC is already ignored. Domain names that 
> > start with a digit, e.g. 12345.foo.bar, can be resolved, whereas the 
> > RFC tells us "They [labels] must start with a letter, end with a 
> > letter or digit [...]".
> [...]
> It is not ignored; the standard was updated by RFC 1123 (STD 3).

Yes. I forgot to mention that in original post. Sorry.

-- 
Kind regards,  Milan
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 Apr 2010 07:30:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:42:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.